from ast import pattern
import spacy
import sys
from spacy.matcher import Matcher

# Load Spanish tokenizer, tagger, parser and NER
nlp = spacy.load("es_core_news_sm")
text = ""

# Process whole documents
for i in range (1, len(sys.argv)) :
        text = text + sys.argv[i] + " "

doc = nlp(text)

#doc = nlp("Marta Morales Sabroso vive en Zaragoza")

#Inicializa el matcher con el vocabulario compartido
matcher = Matcher(nlp.vocab)

#Crea un patron que encuentre tres pronombres
pattern = [{"POS": "PROPN"},{"POS": "PROPN"}]

#Añade el patron al matcher
matcher.add("NAME_SURNAME", [pattern])

matches = matcher(doc)
print("Nombres y apellidos:", [doc[start:end].text for match_id, start, end in matches])

