import spacy
import sys

# Load Spanish tokenizer, tagger, parser and NER
nlp = spacy.load("es_core_news_sm")
text = ""

# Process whole documents
for i in range (1, len(sys.argv)) :
        text = text + sys.argv[i] + " "

doc = nlp(text)

# Analyze syntax
print("Noun phrases:", [chunk.text for chunk in doc.noun_chunks])
print("Verbs:", [token.lemma_ for token in doc if token.pos_ == "VERB"])

# Find named entities, phrases and concepts
for entity in doc.ents:
    print(entity.text, entity.label_)

#Itera sobre los tokens
for token in doc:
        print(token.text, token.pos_)
